Error while upgrading Symantec Data Center Security: Server Advanced agent kmod package for SLES 12 SP3

book

Article ID: 170556

calendar_today

Updated On:

Products

Data Center Security Server Advanced

Issue/Introduction

When you install Symantec Data Center Security: Server Advanced agent build# 1391 (sdcss-6.7.2-1391.suse12.x86_64) on an SLES 12 SP3 computer, the agent installs the kmod package 133 (sdcss-kmod-6.7.2-133.suse12.x86_64) by default. Then you must manually upgrade the kmod package to package 146.

  1. When you run the Zypper refresh command to upgrade the kmod package, you might see a Permission denied error. For example:
SLES12SP3:/etc/zypp/repos.d # zypper refresh
Repository 'SLE-Module-Containers12-Pool' is up to date.
Repository 'SLE-Module-Containers12-Updates' is up to date.
Permission to access 'http://s3.amazonaws.com/us-east-1-s3-symc-dev-dcs-devops/crt670mp2/sles12/x86_64/media.1/media' denied.
  1. You might see another warning that the ‘repomd.xml’ file is not signed. For example:
File 'repomd.xml' from repository 'SDCSS repository for package updates' is unsigned, continue? [yes/no]

 

 

Resolution

  1. When you run the Zypper refresh command, add the option -f. For example:
zypper ref -f
  1. All the packages are signed, except the repomd.xml file. Ignore the warning and continue.